classification
Title: Update doc for Idle command line options.
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: python-dev, terry.reedy
Priority: normal Keywords:

Created on 2015-09-23 06:34 by terry.reedy, last changed 2018-12-11 22:27 by terry.reedy. This issue is now closed.

Messages (4)
msg251407 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2015-09-23 06:34
idle.rst is either wrong or obsolete.  Some options are missing and the notes are not now correct.  I am editing so it matches code and help message in PyShell.py.

I believe there is a mismatch between code and help message with respect to interaction with configuration settings.  But I need to do some tests to be sure.
msg251414 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-09-23 07:53
New changeset 80e92eba23e0 by Terry Jan Reedy in branch '2.7':
Issue #25219: Update doc for Idle command line options.
https://hg.python.org/cpython/rev/80e92eba23e0

New changeset 97f3d7749d3f by Terry Jan Reedy in branch '3.4':
Issue #25219: Update doc for Idle command line options.
https://hg.python.org/cpython/rev/97f3d7749d3f
msg328768 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-10-28 23:02
I should have said what mismatch there might be.  It appears that further editing of idle.rst depends on checking whether there are errors in pyshell.usage_msg, which should be fixed first.
msg331661 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2018-12-11 22:27
Rather that leave this open indefinitely, I decided to close until a report or research says that more is needed.
History
Date User Action Args
2018-12-11 22:27:04terry.reedysetstatus: open -> closed
resolution: fixed
messages: + msg331661

stage: needs patch -> resolved
2018-10-28 23:02:48terry.reedysetmessages: + msg328768
versions: + Python 3.7, Python 3.8, - Python 2.7, Python 3.4, Python 3.5
2017-06-19 19:10:23terry.reedysetcomponents: + IDLE
2015-09-23 07:57:08terry.reedysettitle: Update doc for Idle command line arguments. -> Update doc for Idle command line options.
2015-09-23 07:55:53terry.reedysetassignee: terry.reedy
2015-09-23 07:55:37terry.reedysettitle: Update doc for Idle command line argument. -> Update doc for Idle command line arguments.
2015-09-23 07:53:13python-devsetnosy: + python-dev
messages: + msg251414
2015-09-23 06:34:44terry.reedycreate